isatty(1)

NAME
isatty - test if the specified file descriptor is a tty

  Synopsis
isatty [FILE DESCRIPTOR]

where FILE DESCRIPTOR may be either the number of a file descriptor, or one of the strings stdin, stdout and stderr.

If the specified file descriptor is a tty, the exit status of the command is zero, otherwise, it is non-zero.